v0.97 -- unknown (taken from linvdr 0.7)

v0.96 -- tom -- Tue Apr  6 15:43:16 CEST 2004
 - Reworked timer collision detection (Thanks to Cooper)
 - Corrected Power button link in the remote control (Thanks to Tobias Grimm)
 - Solved some javascript issues

v0.95 -- tom -- Sat Dec 13 14:55:04 CET 2003
 - Added support to listen on specific network adresses (Thanks to 
   Ludwig Nussel)
 - Added two new parameters (--message, --displaycall)
 - Added some code from the "vdradmin BigPatch"
 - Added help system
 Fixed Bugs:
 - AutoTimer does not work correct if the specified time range goes over 
   midnight (Thanks to Cooper)
 - Solved the "daylight saving" problem (2h offset)
 - Solved some problems with gzip compression

v0.94 -- tom, mdo -- Mon Aug 18 06:32:47 CEST 2003
 - Cleared up some things in the "timer new"/"timer edit" form:
   We have now a new line for automatic timer correction, possible values
   are "program ID" for the Event-ID as key, "recording time" for the start/end
   time of the recording as keys, and "disabled" for uncorrected timers.
 - There are two new variables which can be added to the config file
   vdradmind.conf by hand (no fronted support!):
     NO_EVENTID = 1
   and
     NO_EVENTID_ON = 23,24,25
   will disable the usage of event-ids in general or on channels 23 to 25 for
   all new timers.
   So the automatic timer correction -- both for auto timers and for manual
   edited -- will fall back to "recording time" mode. This is interesting for
   channels where the Event-ID changes between first show-up in the EPG and
   the event (thanks to Jan Ekholm for the idea and his help with debugging).
 - New search string handling in AutoTimer:
   /regexp/
   and
   /regexp/i
   are perl regular expression, the second one is case insensitive.
   The regexp is testet against a string of the form:
   title~subtitle~summary
   As you see, all checked fields in the AutoTimer edit form are separated
   by a tilde (~). So you can explicitly search the title, subtitle and
   summary entry for matches.
   I advise you not to use any regular expressions in the AutoTimer, never!
   There is absolutely *no* syntax check for the regexp! Leave a stray
   brace and see vdradmin dying (because of a perl syntax error), or enter
   something like "/.*/" to beam the entire EPG into the timer list and watch
   VDR dying under the tons of timers.
   Don't write bug reports if a regexp has filled your harddisk to the very
   last bit, messed your timer list or killed your VDR: I told you not to use
   regular expressions! Don't even think about it!
   All non-regexp are now threatened as space separated list of patterns
   without any wildcards: Dots are a real dots, braces are real braces,
   and little furry things from Centaur 5 are real little furry things from
   Centaur 5.
 Fixed Bugs:
 - Month in "Whats on now" calculated wrong (Thanks to Thomas Schmidt)
 - Day in Event detail calculated wrong (Thanks to Thomas Schmidt)

v0.93 -- tom -- Tue Jul 15 12:09:34 CEST 2003
 Fixed Bugs:
 - Several issues with the Internet Explorer
 - Doesn't delete a recording timer
 
v0.93 -- mdo --
 - The 16th bit of the status field of timers will now be used for indicating
   automatically revised timers ("Auto"). Old timers with status "Auto", using
   the now deprecated third bit (see v0.24-pre13-mdo), will *in this version*
   be described as "Auto (alt)" or "Auto (old)" in the timer list. Editing an
   timer with status "Auto (old)" will correct the flag properly.

   CAUTION! Using the third bit (as in v0.24-pre13-mdo up to v0.92) is now
   *deprecated* and the support for the third bit will *definitively* be
   removed in the next version of vdradmin! Due this change only affects
   single timers, all old timers will disappear within the next month -- new
   "Auto" timers will be programmed properly. So before updating to the next
   version of vdradmin (probably v0.94), check that you don't have any old
   "Auto" timers left, or they won't be observed/revised any longer (but work
   anyway).

v0.92 -- tom -- Tue Jul 4 10:49:13 CEST 2003
 Fixed Bugs:
 - Several things in the log mechanism
 - Can't delete multiple Auto Timers at once (Thanks to Tom Pfeifer)
 - Sometimes wrong display of rec icon (Thanks to Tom Pfeifer)
 - Recordings frame missing if no recordings on disk (Thanks to Tom Pfeiffer)

v0.91 -- tom -- Wed Jun 18 07:36:40 CEST 2003
 - Added "Directory" option in Auto Timer (Suggested by Christian Jacobsen)
 Fixed Bugs:
 - Can't save complex timer (Thanks to Tom Pfeifer)
 
v0.90 -- tom -- Sun Jun 15 01:20:00 CEST 2003
 - New German layout (Thanks to Uwe Kempf)
 - Translated layout to English
 - Translated layout to French (Thanks to Olivier Jacques and Laurent DUPERREY)
 - subfolders in recordings (like in VDR)
 - Added TV mode
 - show disk usage in recordings menu (require VDR 1.1.29)
 - added "install" target, this is mainly for distributors
 - Reworked Auto Timer (Thanks to cooper)
 Fixed bugs:
 - Small patch to make vdradmin work together with the analogtv plugin
   (Thanks to Andreas Kool)
 - Added patch to make apache 2.0.40 with it's mod_proxy happy
   (Thanks to Thomas Sailer)
 - many, many other small things i don't remember

v0.24-pre13-mdo -- cooper -- Tue May 27 03:10:39 CEST 2003
 - major changes in AutoTimer():
   - for each autotimer the event_id from the EPG will be stored in the
     higher 16 bits of the status value in the timers.conf. Be prepared
     to see huge and tiny (negative) numbers in the timers list!
   - for all autotimers, the 3rd bit in the status value (first row in
     timers.conf) will be set, along with the 1st bit (plus the high
     16 bit as mentioned before)
   - will only programm new timers, changing existing timers is now the
     job of CheckTimers()
   - AutoTimer() will only add new timers, if the event_id and the channel
     number of the desired event are not in the current timers.conf. If
     there is no event_id, AutoTimer() will check for the name and start time
     like in privious versions of vdradmin
  - new function CheckTimers():
    - is called every time just before AutoTimer()
    - will check every timer of timers.conf with the 3rd bit set in the status
      value:
      - if there is an event_id, CheckTimers() will search a event with the
        same event_id on the same channel in the EPG, and then set title,
        subtitle, start/stop time, day of recording and summary according to
        the EPG entry. If there is no matching event_id, nothing happens.
      - without event_id, CheckTimers() looks for events in the EPG within
        the margins of the timer, then do a wighting. For the event with the
        highest wight, CheckTimers() extends the margings of the timer so
        the event will be fully covered, plus extra time. This will probably
        fail when multiple events of 10 minutes duration or shorter are within
        the timer margins -- due the timer will only be extended but never
        shortened, this should be no real problem. The title of the event is
        unchecked. If there is no matching EPG entry, nothing happens.
  - other changes:
    - the default status for new timers is now 5 (equal to "Auto"), which
      means they'll be handled by CheckTimers(), an the event_id will be set.
      CheckTimers() will, as described above, change start/stop time and some
      more according to the current EPG. To get rid off the automatic
      observation, set the status to 0 or 1 (Yes/Ja or No/Nein). The side
      effect is that you'll lose the event_id, and if you set the status back
      to "Auto" again, CheckTimers() will use the "without event_id" branch
      to extend the timer margins.
  - side effects:
    - the status field (first row) of timers.conf will contain very huge and
      tiny numbers between -2147483647 and 2147483647, instead of 0, 1 and 3.
      While this is fully covered by Klaus' documentation, it could be some
      surprise to other programms parsing the timers.conf or reading the timers
      list via lstt from SVDRP, like Master Timer and others.
    - editing a timer via VDR will cause the loss of the event_id and set the
      status back to 0 or 1 -- so CheckTimers() won't touch it no longer. This
      is a feature.
    - the start time of observed timers might be changed while VDR is
      recording -- resulting in a new file and a little gap between the two
      recordings. Should be fixed somewhen.
    - observed timers with ":" in the name will cause unnecessary timer
      updates because the ":" will cause an inequality between timer title
      and event title.
    - the title of obeserved timers will be extended automatically by the
      subtitle (when in EPG), even if the original title was without subtitle.
    - double recordings (same start time, same title) are now very improbable,
      but still possible. Should be managed by CheckTimers() somewhen...

v0.23 -- tom -- Sat Feb 15 22:46:01 CET 2003
 - Now delivering compressed data (like mod_gzip) if the browser accept this.
   This makes vdradmin much faster on slow connections. This is experimental,
   so if you have problems with this set MOD_GZIP to 0 in your vdradmin.conf.
 Fixed Bugs:
 - Now opening remote control with target _blank (Thanks to Martin Hillmann)
 - Saving timers don't work if priority or lifetime less then 10 (Thanks 
   to _cooper_)
 - Fixed typo in english configuration page (Thanks to Briandorling)
 
v0.22 -- tom -- Thu Jan 16 14:08:31 CET 2003
 - Reworked timer sort routine
 - Included virtual remote control
 Fixed bugs:
 - some small layout things
 
v0.21 -- tom -- Mon Dec 30 22:34:37 CET 2002
 - Added guest account
 - Startpage is now selectable
 Fixed Bugs:
 - Several things in the Autotimer

v0.20 -- tom -- Thu Dec 26 13:21:39 CET 2002
 Fixed Bugs:
 - Using wrong variable to connect to vdr
 
v0.19 -- tom -- Thu Dec 26 03:20:12 CET 2002
 Fixed Bugs:
 - Pictures are no longer missing
 - "--config" sets wrong variables
 - Timer sometimes disapeared
 - AutoTimer doesnt run after timeout
 - Cant save complex timers
 - many other small things...
 
v0.18 -- tom -- Tue Dec 17 20:52:09 CET 2002
 - vdradmin does not longer use HTTP::Daemon
 - updated english translation
 
v0.17 -- tom -- Mon Dec 16 14:19:28 CET 2002
 - Channels without EPG-data are not longer displayed in program list
 - No longer add spaces to Summary when changing Timer (Thanks to _cooper_)
 - Sorts repeating Timers like VDR (Thanks to Emil Naepflein)
 - Three colors shows how timers conflicts with other timers (Thanks to Emil Naepflein) 
 - Now using HTTP::Daemon to comunicate with clients
 - vdradmin knows about first-day timers 
 - Code cleanup
 - Some other things i dont remember
 
v0.16 -- tom -- Sun Jun  9 14:58:57 CEST 2002
 Fixed Bugs:
 - Auto Timer does nothing if no end time was given
   (this bug was introduced in v0.15)

v0.15 -- tom -- Son Jun  2 17:32:44 CEST 2002
 Fixed Bugs:
 - vdradmin exits with "Bad arg length for Socket::unpack..."
   under some perl versions. (Thanks to Juergen Schmidt)
 - Saving Auto Timers doesnt work in English theme
 - Selecting channels for a new Auto Timer doesnt work in German theme.
 - Auto Timer does not work if the timer goes across midnight
   _and_ the start time is beyond midnight (Thanks to Andrea Schultz).
   
v0.14 -- tom -- Sat Apr 13 13:33:00 CEST 2002

 - English translation added (Thanks to Thilo Wunderlich and Simon Dean)
 - Translations / Themes are stored in subdirectorys (suggested by 
   Thilo Wunderlich)
 - internationalized days of week (see template/<lang>/i18n.pl)
 - Changed names of Language. If you wish to use your old vdradmind.conf
   change "LANG = de" in "LANG = Deutsch".

 Fixed Bugs:
 - Sometimes the language could not be changed.
 - Priotity in Auto Timer was lost in some cases.
 - State row in channels view was lost if the Broadcaster has no EPG
 - Various small things coming with the internationalisation
 
v0.13 -- tom -- Mit Mar  6 21:09:02 CET 2002

 - Added `switch to channel´ function in program overview.
 - Fixed date bug with vdr > 1.0.0pre1
 
v0.12 -- tom -- Fre Feb 15 19:44:26 CET 2002

 - vdradmin crashed when deleting a timer. fixed.
 - Fixed many bugs in the timer section
 - vdradmin is now compatible with apache & mod_proxy
   (thanks to Marcel Walter)

v0.11 -- tom -- Tue Feb  5 21:25:21 CET 2002

 - Renamed configuration file. "conffile" -> "vdradmind.conf". If you
   wish to use your old configuration file, rename it manualy.
 - Added "auto timer" function.
 - In timer and recordings menu, multiple entrys can be deleted at once
 - Some layout changes

v0.10 -- tom -- Sam Jan 26 18:27:24 CET 2002

 - Added complex timer handling
 - Fixed broken pipe messages
 - Some layout changes
 - Modified search function, it does not longer search the exact pattern
   (eg. ´one two´ does not search the exact pattern, it now means one 
   _and_ two)
 - When creating a new timer, the timer is activated by default
 - After creating a timer from program overview or list you will redirected
   where you have been (instead of showing timer overview)

v0.9 -- tom -- Tue Dec 11 13:38:22 CET 2001

 - Whoops, fixed stupid bug in recordings sort mechanism
 - Added configuration mechanism (--config)
 - Added kill parameter (--kill)
 - Added prev/next link in program listing
 - Adding multiple channels in positive list fails if the list is empty. Fixed.

v0.8 -- tom -- Sun Dec  2 11:55:43 CET 2001
 
 - Time was calculated wrong in recordings section

v0.7 -- tom -- Sat Dec  1 17:19:48 CET 2001

 - vdradmin exits with error message if no recording exists. Fixed.
 - Added a option which allowes to see only selected channels in program list
 - List of recordings now sortable by date, time and name
 - Sorted timers
 - Time was calculated wrong in the timers section, month's range is 0-11
   not 1-12
 
v0.6 -- tom -- Sun Nov 25 17:31:02 CET 2001

 - Broadcasters now sorted case insensitive in channel overview
 - Encoded '&' very special since IE is too stupid to handle this correctly
 - Seperated events in channel list by days
 - Sorted recordings by date _and_ time
 - Under heavy load vdradmin exits with sigpipe. Fixed.
 - Added a search function

v0.5 -- tom -- Wed Nov 14 12:09:35 CET 2001

 - Fixed problem with complex timers in timer overview

v0.4 -- tom -- Wed Nov 14 00:58:31 CET 2001

 - vdradmin must not longer be started from the directory where it lives in.
 - Sorted broadcasters by name in 'Was laeuft jetzt?'
 - Added logging mechanism
 - Added a 'go!' button in the channel overview
 - The time field in the channel summary now eats almost everything.
   (e.g. 1920, 19,20, 19.20, 19:20 produces all the same)
 - The time buffer (e.g. 5 minutes before/after every movie) was in some
   cases calculated wrong. Fixed.
 - A click on the name of a recording shows the summary
 - Sometimes (if a request was interrupted) the program exits with a 
   SIGPIPE. Fixed.
 - If a timer was (re)edited the channel selection was wrong
 - EPG data now stored in a tree (internal).
 - as ever, other things i don't remember

v0.3 -- tom -- Thu Oct 25 21:50:12 CET 2001

 - vdradmin has now a integrated webserver. No Apache needed.                  
 - A configurating menu added.                                                 
 - Sometimes (if a timer is recording) deleting this timer deletes the         
   next one. Fixed.
 - EPG and Channel Data now hold in memory.                                    
 - Several speed improvements.                                                 
 - It's now possible to select the channels listed in 'Was laeuft jetzt?'      
 - I forgot the rest ;)
 
v0.2 -- tom -- Sat Oct 13 01:10:50 CET 2001

 - Viewing and deleting recordings a now possible (thanks to Thomas            
   Heiligenmann)                                                               
 - It's now possible to support several languages. vdradmin suports at the     
   moment only German.                                                         
 - The funktion of the 'Was laeuft jetzt?' was extended, it's now possible     
   to show whats going on at eg. twelve a clock (assuming thats now nine
 - Sometimes in the channel listing two show's have the same color. Fixed.     
 - Channel file was now also cached (to speed up)                              
 - Sending "quit\r\n" before closing SVDRP socket                              
 - A timer that titel field contains a ":" was not correct displayed           
 - many, many other thins i don't remember                                     

v0.1 -- tom -- Tue Oct 9 00:12:12 CET 2001

- Initial release

